Bug 1161098

Summary: FTBFS because docs are not built
Product: [Fedora] Fedora Reporter: Dan Horák <dan>
Component: ejabberdAssignee: Peter Lemenkov <lemenkov>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: erlang, jkaluza, lemenkov, martin
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: ejabberd-14.07-6.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-11-18 12:31:27 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 467765, 1071880, 1051573    

Description Dan Horák 2014-11-06 11:24:31 UTC
ejabberd fails to build on s390 and ppc because docs are not built

from build.log
...
#
# Documentation
/usr/bin/install -c -d /builddir/build/BUILDROOT/ejabberd-14.07-3.fc21.s390/usr/share/doc/ejabberd
/usr/bin/install -c -m 644 doc/dev.html /builddir/build/BUILDROOT/ejabberd-14.07-3.fc21.s390/usr/share/doc/ejabberd
/usr/bin/install -c -m 644 doc/guide.html /builddir/build/BUILDROOT/ejabberd-14.07-3.fc21.s390/usr/share/doc/ejabberd
/usr/bin/install: cannot stat 'doc/guide.html': No such file or directory
Makefile:109: recipe for target 'install' failed
RPM build errors:
make: *** [install] Error 1

for full logs please see
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2172590
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1600993

Version-Release number of selected component (if applicable):
ejabberd-14.07-3.fc21

Comment 1 Dan Horák 2014-11-14 10:32:55 UTC
docs generation is now part of the build process and fails when hevea and texlive-comment are missing from BR: (they are excluded fot s390(x) and ppc64*)

Comment 2 Dan Horák 2014-11-14 10:42:43 UTC
hevea or rather ocaml segfaults on ppc64*, but works on s390(x)

Comment 3 Fedora Update System 2014-11-14 11:10:24 UTC
ejabberd-14.07-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ejabberd-14.07-5.fc21

Comment 4 Fedora Update System 2014-11-15 09:22:23 UTC
Package ejabberd-14.07-6.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ejabberd-14.07-6.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15140/ejabberd-14.07-6.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-11-18 12:31:27 UTC
ejabberd-14.07-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.